# EntriesImportBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**entryData** | [**List&lt;List&lt;String&gt;&gt;**](List.md) | Each interior array corresponds to one entry. The nth element in that array corresponds to the nth entry in the array of fields.  A maximum of 500 entries can be sent per request. |  [optional]
**fields** | **List&lt;String&gt;** | Required. An array of field names, as per WebAide entry data fields, below. | 
**importMode** | [**ImportModeEnum**](#ImportModeEnum) | Optional. Enumeration: One of “ignore”, “update”, “replace”, “replace_ exact”. How to match these entries to the existing entries and what to do about matches?  If this is left blank, ALL entries will be added even if they are duplicates of existing entries. Valid modes are - ignore: If a similar entry already exists the new entry will not be added - replace: if a similar entry already exists it will be replaced by the new entry - update: if a similar entry already exists the most recent entry will be saved in the WebAide. Most recent is determined by the modified date times in the system and in the data that you are sending. - replace_exact: Matches existing entries with your data based only on “Unique ID”. Matching entries will use the “replace”. Non- matching entries will be skipped and not added.In cases except with “replace_exact”, non-matches will be added as new entries.  How are matches made? They are made based un “Unique ID” if you have passed that. Otherwise it tries to match based on fields like Title, Subject, Entry Date, email address, etc. These fuzzy matches are useful if you are synchronizing new data that may match some or all existing entries and you do not want to make duplicates. Generally, you should always include the “Unique ID” so that there is no ambiguity. |  [optional]
**importRecur** | [**ImportRecurEnum**](#ImportRecurEnum) | Optional. Default 0. If 1, then the recurrence information uploaded will be imported.  Note that recurrent entries that are updated without “import_recur” enabled will lose their recurrence. |  [optional]
**timezone** | **String** | Optional. Time zone code. E.g. “GMT”. The time zone to use for Calendar/Task dates and times. The user’s default time zone is used if no time zone is specified. Default is GMT. |  [optional]

<a name="ImportModeEnum"></a>
## Enum: ImportModeEnum
Name | Value
---- | -----
IGNORE | &quot;ignore&quot;
UPDATE | &quot;update&quot;
REPLACE | &quot;replace&quot;
REPLACE_EXACT | &quot;replace_exact&quot;

<a name="ImportRecurEnum"></a>
## Enum: ImportRecurEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1
