# MarketingCampaignScheduleBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Title for campaign schedule | 
**type** | [**TypeEnum**](#TypeEnum) | subscriber &#x3D; scheduling on lists segments &#x3D; scheduling on segment | 
**broadcastIds** | **String** | Comma separated broadcast id(s). Campaign id(s) of campaigns you want to schedule on. | 
**smtpIds** | **String** | Comma separated smtp id(s). Node id(s) of Sending Nodes you want to use to send emails. | 
**listIds** | **String** | Comma separated list id(s). Required if param type &#x3D; subscriber. List id(s) of Lists you want to schedule on. |  [optional]
**segmentIds** | **String** | Comma separated segment id(s). Required if param type &#x3D; segment. Segment id(s) of segments you want to schedule on. |  [optional]
**smtpSequence** | [**SmtpSequenceEnum**](#SmtpSequenceEnum) | batch &#x3D; a node will create connection once for a batch of contacts. loop &#x3D; one node for each contact | 
**sendingPattern** | [**SendingPatternEnum**](#SendingPatternEnum) | random &#x3D; system will use random node from selected node list for sending. sequential &#x3D; system will use node in sequential order from selected node list for sending | 
**sendingTime** | [**SendingTimeEnum**](#SendingTimeEnum) | now &#x3D; send broadcast now later &#x3D; schedule in future | 
**sendDatetime** | **String** | timestamp (format: Ym-d H:i:s). Required if param sending_time &#x3D; &#x60;later&#x60;. Value must be greater than current datetime. |  [optional]
**senderType** | [**SenderTypeEnum**](#SenderTypeEnum) | smtp &#x3D; use sender information from smtp list &#x3D; use sender information from list | 
**trackOpens** | [**TrackOpensEnum**](#TrackOpensEnum) | 0 &#x3D; open tracking disabled 1 &#x3D; open tracking enabled |  [optional]
**trackClicks** | [**TrackClicksEnum**](#TrackClicksEnum) | 0 &#x3D; clicks tracking disabled 1 &#x3D; clicks tracking enabled |  [optional]
**unsubShows** | [**UnsubShowsEnum**](#UnsubShowsEnum) | Status of bounce account 0 &#x3D; Inactive 1 &#x3D; Active |  [optional]
**trackDuplicates** | [**TrackDuplicatesEnum**](#TrackDuplicatesEnum) | 0 &#x3D; duplicate tracking diasbled 1 &#x3D; duplicate tracking enabled |  [optional]
**threads** | **Integer** | number of threads for sending |  [optional]
**unsubscribeHeaders** | [**UnsubscribeHeadersEnum**](#UnsubscribeHeadersEnum) | 0 &#x3D; unsubscribe headers diasbled 1 &#x3D; unsubscribe headers enabled |  [optional]
**unsubscriberByEmail** | **Integer** | 0 &#x3D; unsubscribe by email diasbled 1 &#x3D; unsubscribe by email enabled |  [optional]
**unsubscribeEmail** | **String** | email. Required if param unsubscriber_ by_email &#x3D; 1 |  [optional]
**unsubscribeLink** | [**UnsubscribeLinkEnum**](#UnsubscribeLinkEnum) | 0 &#x3D; unsubscribe link diasbled 1 &#x3D; unsubscribe link enabled |  [optional]
**hourlySpeed** | **Integer** | rate of emails/hour |  [optional]
**fromName** | **String** | Required if param sender_type &#x3D; custom. From name to use in email |  [optional]
**fromEmail** | **String** | Email. Required if param sender_type &#x3D; custom. From email to use in email |  [optional]
**bounceEmail** | **String** | Email. Required if param sender_type &#x3D; custom. Bounce Account to use in email |  [optional]
**replyEmail** | **String** | Email. Required if param sender_type &#x3D; custom. Reply email to use in email |  [optional]

<a name="TypeEnum"></a>
## Enum: TypeEnum
Name | Value
---- | -----
SUBSCRIBER | &quot;subscriber&quot;
SEGMENTS | &quot;segments&quot;

<a name="SmtpSequenceEnum"></a>
## Enum: SmtpSequenceEnum
Name | Value
---- | -----
BATCH | &quot;batch&quot;
LOOP | &quot;loop&quot;

<a name="SendingPatternEnum"></a>
## Enum: SendingPatternEnum
Name | Value
---- | -----
RANDOM | &quot;random&quot;
SEQUENTIAL | &quot;sequential&quot;

<a name="SendingTimeEnum"></a>
## Enum: SendingTimeEnum
Name | Value
---- | -----
NOW | &quot;now&quot;
LATER | &quot;later&quot;

<a name="SenderTypeEnum"></a>
## Enum: SenderTypeEnum
Name | Value
---- | -----
SMTP | &quot;smtp&quot;
LIST | &quot;list&quot;
CUSTOM | &quot;custom&quot;

<a name="TrackOpensEnum"></a>
## Enum: TrackOpensEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="TrackClicksEnum"></a>
## Enum: TrackClicksEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="UnsubShowsEnum"></a>
## Enum: UnsubShowsEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="TrackDuplicatesEnum"></a>
## Enum: TrackDuplicatesEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="UnsubscribeHeadersEnum"></a>
## Enum: UnsubscribeHeadersEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1

<a name="UnsubscribeLinkEnum"></a>
## Enum: UnsubscribeLinkEnum
Name | Value
---- | -----
NUMBER_0 | 0
NUMBER_1 | 1
